For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
    • POSTResolve ID Token
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
      • POSTCreate Collection Field
      • PATCHUpdate Collection Field
      • DELDelete Collection Field
      • Field Types & Item Values
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETSearch Users by Email
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
    • POSTCreate Comment Reply
  • Ecommerce
  • Webhooks
  • Site Configuration
  • Enterprise
  • App Subscriptions
    • GETGet app subscriptions
LogoLogo
Resources
Get started
CMSCollection Fields

Delete Collection Field

DELETE
https://api.webflow.com/beta/collections/:collection_id/fields/:field_id
DELETE
/beta/collections/:collection_id/fields/:field_id
$curl -X DELETE https://api.webflow.com/beta/collections/580e63fc8c9a982ac9b8b745/fields/580e63fc8c9a982ac9b8b745 \
> -H "Authorization: Bearer <token>"

Delete a custom field in a collection. This endpoint does not currently support bulk deletion.

Required scope | cms:write

Was this page helpful?
Previous

Field Types & Item Values

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_idstringRequiredformat: "objectid"
Unique identifier for a Collection
field_idstringRequiredformat: "objectid"
Unique identifier for a Field in a collection

Response

Request was successful. No Content is returned.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error